AutomationService
The AutomationService methods and their request and response messages.
Generated from automation.proto. Every method is
POST /rpc/engram.app.v1.AutomationService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”Messages
Section titled “Messages”ActionCatalogEntry
Section titled “ActionCatalogEntry”| Field | Type |
|---|---|
id |
string |
label |
string |
description |
string |
input_schema_json |
string |
ArchiveAutomationRequest
Section titled “ArchiveAutomationRequest”| Field | Type |
|---|---|
id |
string |
ArchiveAutomationResponse
Section titled “ArchiveAutomationResponse”| Field | Type |
|---|---|
automation |
Automation |
Automation
Section titled “Automation”| Field | Type |
|---|---|
id |
string |
name |
string |
description |
string |
kind |
string |
builtin_key |
string (optional) |
enabled |
bool |
current_version |
int32 |
inputs_json |
string |
block_overrides_json |
string |
archived |
bool |
created_by_user_id |
string (optional) |
next_fire_at |
string (optional) |
last_fired_at |
string (optional) |
draft_session_id |
string (optional) |
created_at |
string |
updated_at |
string |
version |
AutomationVersion |
AutomationRunBrief
Section titled “AutomationRunBrief”| Field | Type |
|---|---|
id |
string |
automation_id |
string |
version |
int32 |
status |
string |
error |
string (optional) |
trigger_source |
string |
event_key |
string (optional) |
delivery_key |
string (optional) |
dry_run |
bool |
started_at |
string (optional) |
ended_at |
string (optional) |
created_at |
string |
instance_id |
string |
AutomationSummary
Section titled “AutomationSummary”| Field | Type |
|---|---|
automation |
Automation |
trigger_summary |
string |
last_run |
AutomationRunBrief (optional) |
runs_7d |
repeated DayRunCount |
AutomationVersion
Section titled “AutomationVersion”| Field | Type |
|---|---|
automation_id |
string |
number |
int32 |
definition_json |
string |
created_by_user_id |
string (optional) |
created_at |
string |
BlockError
Section titled “BlockError”| Field | Type |
|---|---|
block_id |
string |
field |
string |
code |
string |
message |
string |
BlockRender
Section titled “BlockRender”| Field | Type |
|---|---|
block_id |
string |
block_type |
string |
rendered_json |
string |
filter_pass |
bool (optional) |
scope_json |
string |
CreateAutomationRequest
Section titled “CreateAutomationRequest”| Field | Type |
|---|---|
name |
string |
description |
string |
enabled |
bool |
definition_json |
string |
inputs_json |
string |
CreateAutomationResponse
Section titled “CreateAutomationResponse”| Field | Type |
|---|---|
automation |
Automation |
DayRunCount
Section titled “DayRunCount”| Field | Type |
|---|---|
day |
string |
completed |
int32 |
failed |
int32 |
filtered |
int32 |
other |
int32 |
DraftAutomationRequest
Section titled “DraftAutomationRequest”| Field | Type |
|---|---|
prompt |
string |
profile_id |
string |
idempotency_key |
string |
harness |
string (optional) |
model |
string (optional) |
model_router |
string (optional) |
effort |
string (optional) |
harness_mode |
string (optional) |
DraftAutomationResponse
Section titled “DraftAutomationResponse”| Field | Type |
|---|---|
automation_id |
string |
session_id |
string |
created |
bool |
DryRunRequest
Section titled “DryRunRequest”| Field | Type |
|---|---|
automation_id |
string |
sample_id |
string (one of sample) |
payload_json |
string (one of sample) |
entrypoint_id |
string (optional) |
DryRunResponse
Section titled “DryRunResponse”| Field | Type |
|---|---|
run_id |
string |
DuplicateAutomationRequest
Section titled “DuplicateAutomationRequest”| Field | Type |
|---|---|
automation_id |
string |
name |
string (optional) |
DuplicateAutomationResponse
Section titled “DuplicateAutomationResponse”| Field | Type |
|---|---|
automation |
Automation |
EvalCodeRequest
Section titled “EvalCodeRequest”| Field | Type |
|---|---|
source |
string |
mode |
string |
input_json |
string |
EvalCodeResponse
Section titled “EvalCodeResponse”| Field | Type |
|---|---|
value_json |
string (optional) |
error_name |
string (optional) |
error_message |
string (optional) |
error_line |
int32 (optional) |
logs |
repeated string |
duration_ms |
int64 |
EventCatalogEntry
Section titled “EventCatalogEntry”| Field | Type |
|---|---|
key |
string |
label |
string |
description |
string |
schema_json |
string |
sample_json |
string |
observed |
bool |
hidden |
bool |
EventCatalogScope
Section titled “EventCatalogScope”| Field | Type |
|---|---|
key |
string |
label |
string |
EventSample
Section titled “EventSample”| Field | Type |
|---|---|
id |
string |
event_key |
string |
payload_json |
string |
received_at |
string |
GetAutomationRequest
Section titled “GetAutomationRequest”| Field | Type |
|---|---|
id |
string (one of lookup) |
builtin_key |
string (one of lookup) |
GetAutomationResponse
Section titled “GetAutomationResponse”| Field | Type |
|---|---|
automation |
Automation |
InputKeyOption
Section titled “InputKeyOption”| Field | Type |
|---|---|
key |
string |
label |
string |
ListActionCatalogRequest
Section titled “ListActionCatalogRequest”| Field | Type |
|---|---|
provider |
string |
ListActionCatalogResponse
Section titled “ListActionCatalogResponse”| Field | Type |
|---|---|
actions |
repeated ActionCatalogEntry |
ListAutomationsRequest
Section titled “ListAutomationsRequest”| Field | Type |
|---|---|
include_archived |
bool |
ListAutomationsResponse
Section titled “ListAutomationsResponse”| Field | Type |
|---|---|
automations |
repeated AutomationSummary |
ListEventCatalogRequest
Section titled “ListEventCatalogRequest”| Field | Type |
|---|---|
provider |
string |
ListEventCatalogResponse
Section titled “ListEventCatalogResponse”| Field | Type |
|---|---|
events |
repeated EventCatalogEntry |
scope |
EventCatalogScope (optional) |
variables |
repeated WebhookVariable |
default_connection_id |
string |
ListEventSamplesRequest
Section titled “ListEventSamplesRequest”| Field | Type |
|---|---|
automation_id |
string |
event_key |
string (optional) |
limit |
int32 |
ListEventSamplesResponse
Section titled “ListEventSamplesResponse”| Field | Type |
|---|---|
samples |
repeated EventSample |
ListInputKeyOptionsRequest
Section titled “ListInputKeyOptionsRequest”| Field | Type |
|---|---|
noun |
string |
connection_id |
string (optional) |
ListInputKeyOptionsResponse
Section titled “ListInputKeyOptionsResponse”| Field | Type |
|---|---|
options |
repeated InputKeyOption |
ListVersionsRequest
Section titled “ListVersionsRequest”| Field | Type |
|---|---|
automation_id |
string |
ListVersionsResponse
Section titled “ListVersionsResponse”| Field | Type |
|---|---|
versions |
repeated AutomationVersion |
RunNowRequest
Section titled “RunNowRequest”| Field | Type |
|---|---|
automation_id |
string |
inputs_json |
string (optional) |
payload_json |
string (optional) |
entrypoint_id |
string (optional) |
instance_key |
string (optional) |
instance_inputs_json |
string (optional) |
RunNowResponse
Section titled “RunNowResponse”| Field | Type |
|---|---|
run_id |
string |
SaveVersionRequest
Section titled “SaveVersionRequest”| Field | Type |
|---|---|
automation_id |
string |
definition_json |
string |
SaveVersionResponse
Section titled “SaveVersionResponse”| Field | Type |
|---|---|
automation |
Automation |
SetAutomationEnabledRequest
Section titled “SetAutomationEnabledRequest”| Field | Type |
|---|---|
id |
string |
enabled |
bool |
SetAutomationEnabledResponse
Section titled “SetAutomationEnabledResponse”| Field | Type |
|---|---|
automation |
Automation |
SetBlockOverridesRequest
Section titled “SetBlockOverridesRequest”| Field | Type |
|---|---|
automation_id |
string |
overrides_json |
string |
SetBlockOverridesResponse
Section titled “SetBlockOverridesResponse”| Field | Type |
|---|---|
automation |
Automation |
SetInputsRequest
Section titled “SetInputsRequest”| Field | Type |
|---|---|
automation_id |
string |
inputs_json |
string |
SetInputsResponse
Section titled “SetInputsResponse”| Field | Type |
|---|---|
automation |
Automation |
TestRenderRequest
Section titled “TestRenderRequest”| Field | Type |
|---|---|
automation_id |
string |
draft_definition_json |
string (optional) |
inputs_json |
string (optional) |
sample_id |
string (one of sample) |
payload_json |
string (one of sample) |
scheduled_for |
string (optional) |
entrypoint_id |
string (optional) |
TestRenderResponse
Section titled “TestRenderResponse”| Field | Type |
|---|---|
blocks |
repeated BlockRender |
errors |
repeated BlockError |
UpdateAutomationMetaRequest
Section titled “UpdateAutomationMetaRequest”| Field | Type |
|---|---|
id |
string |
name |
string (optional) |
description |
string (optional) |
settings_json |
string (optional) |
UpdateAutomationMetaResponse
Section titled “UpdateAutomationMetaResponse”| Field | Type |
|---|---|
automation |
Automation |
WebhookVariable
Section titled “WebhookVariable”| Field | Type |
|---|---|
path |
string |
alias |
string |